<div>
    <h2 id="page-heading">
        <span>CIS Results</span>

        <button hidden id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-cis-result" [routerLink]="['/cis-result/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new CIS Result
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cISResults?.length === 0">
        <span>No CIS Results found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cISResults && cISResults.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="number"><span>Number</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="description"><span>Description</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="status"><span>Status</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="control.id"><span>Control</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let cISResult of cISResults ;trackBy: trackId">
                    <td><a [routerLink]="['/cis-result', cISResult.id, 'view']">{{ cISResult.id }}</a></td>
                    <td>{{ cISResult.number }}</td>
                    <td>{{ cISResult.description }}</td>
                    <td>{{ cISResult.status }}</td>
                    <td>
                        <div *ngIf="cISResult.control">
                            <a [routerLink]="['/cis-control', cISResult.control?.id, 'view']" >{{ cISResult.control?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/cis-result', cISResult.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button hidden type="submit"
                                    [routerLink]="['/cis-result', cISResult.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button hidden type="submit" (click)="delete(cISResult)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="cISResults && cISResults.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
